1. 28 May, 2019 1 commit
  2. 27 May, 2019 1 commit
  3. 26 May, 2019 1 commit
  4. 25 May, 2019 4 commits
    • Sam Thursfield's avatar
      Merge branch 'sam/readme-updates' into 'master' · 9aaef224
      Sam Thursfield authored
      Update README
      
      See merge request GNOME/tracker-miners!70
      9aaef224
    • Sam Thursfield's avatar
      README: Simplify and modernize · 680a41a2
      Sam Thursfield authored
      See the related Tracker core merge request for more information:
      tracker!92
      680a41a2
    • Sam Thursfield's avatar
      build: Bump version to 2.3.0 in master · a176fb91
      Sam Thursfield authored
      API additions for the 2.3 series are now possible.
      a176fb91
    • Sam Thursfield's avatar
      functional-tests: Show a better error when we can't extract a file · 2a88ad75
      Sam Thursfield authored
      The functional-tests assume that all necessary dependencies are
      installed. If you are missing one, you'll get an error.
      
      Previously the error looked like this:
      
          ======================================================================
          ERROR: nctional-tests/test-extraction-data/images/xmp-loaded-1.expe (__main__.GenericExtractionTestCase)
          ----------------------------------------------------------------------
          Traceback (most recent call last):
            File "/home/parallels/newrepos/tracker-miners/tests/functional-tests/common/utils/extractor.py", line 73, in get_tracker_extract_jsonld_output
              data = json.loads(output)
            File "/usr/lib/python3.6/json/__init__.py", line 354, in loads
              return _default_decoder.decode(s)
            File "/usr/lib/python3.6/json/decoder.py", line 339, in decode
              obj, end = self.raw_decode(s, idx=_w(s, 0).end())
            File "/usr/lib/python3.6/json/decoder.py", line 357, in raw_decode
              raise JSONDecodeError("Expecting value", s, err.value) from None
          json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
      
          During handling of the above exception, another exception occurred:
      
          Traceback (most recent call last):
            File "./400-extractor-metadata.py", line 85, in generic_test_extraction
              result = get_tracker_extract_jsonld_output(self.file_to_extract)
            File "/home/parallels/newrepos/tracker-miners/tests/functional-tests/common/utils/extractor.py", line 76, in get_tracker_extract_jsonld_output
              "Output was: %s" % (e, output))
          RuntimeError: tracker-extract did not return valid JSON data: Expecting value: line 1 column 1 (char 0)
          Output was:
      
      Now it is a bit clearer:
      
          ======================================================================
          ERROR: nctional-tests/test-extraction-data/images/test-image-1.expe (__main__.GenericExtractionTestCase)
          ----------------------------------------------------------------------
          Traceback (most recent call last):
            File "./400-extractor-metadata.py", line 85, in generic_test_extraction
              result = get_tracker_extract_jsonld_output(self.file_to_extract)
            File "/home/sam/src/tracker-miners/tests/functional-tests/common/utils/extractor.py", line 77, in get_tracker_extract_jsonld_output
              "Error output was: %s" % error_output)
          RuntimeError: tracker-extract didn't return any data.
          Error output was: file:///home/sam/src/tracker-miners/tests/functional-tests/test-extraction-data/images/test-image-1.jpg: No metadata or extractor modules found to handle this file
      2a88ad75
  5. 03 May, 2019 3 commits
  6. 02 May, 2019 1 commit
  7. 01 May, 2019 7 commits
    • Sam Thursfield's avatar
      functional-tests: Don't depend on GSettings schemas from the host · 246b88b7
      Sam Thursfield authored
      If tracker-miners is configured with the `-Dtracker_core=subproject` option,
      it should use GSettings schemas from the ./subprojects/tracker build
      tree. We weren't doing that, which meant that if you ran `dnf remove
      tracker` on your test image and then ran the test, you would see
      failures like this in the functional-tests:
      
          (process:8450): GLib-GIO-ERROR **: 09:43:34.625: Settings schema 'org.freedesktop.Tracker.Store' is not installed
      
      This fix is part of GNOME/tracker#24
      246b88b7
    • Sam Thursfield's avatar
      Merge branch 'sam/text-extractor-errors' into 'master' · 2eda05bb
      Sam Thursfield authored
      tracker-extract-text: Correctly report errors back to the caller
      
      Closes #56
      
      See merge request GNOME/tracker-miners!62
      2eda05bb
    • Sam Thursfield's avatar
      tracker-extract-text: Correctly report errors back to the caller · 08f4af62
      Sam Thursfield authored
      The tracker_extract_get_metadata() function should return FALSE if
      an error occurs reading the file. The tracker-extract-text module would
      return TRUE in all cases.
      
      This was causing intermittent failures in the functional-tests, as the
      following situation could occur:
      
        1. file2.txt is created
        2. tracker-miner-fs sees file2.txt and processes it
        3. file2.txt is deleted (or moved into an unmonitored directory)
        4. tracker-miner-fs sees the deletion and removes its resource from
           the store
        5. tracker-extract sees the created notification for file2.txt and
           tries to process it
        6. the tracker_extract_get_metadata() incorrectly returns TRUE
           (success), so tracker-extract recreates the deleted resource
      
      This problem was being detected in the functional tests and was
      causing intermittent failures.
      
      This hopefully fixes: GNOME/tracker-miners#56
      08f4af62
    • Sam Thursfield's avatar
      Revert "build: Require Meson >= 0.50" · 13948fda
      Sam Thursfield authored
      This reverts commit 60145ddd.
      
      Some projects that include Tracker haven't yet updated to Meson 0.50. This
      change broke gnome-build-meta for example:
      https://gitlab.gnome.org/GNOME/gnome-build-meta/-/jobs/286671
      
      The install: arg isn't actually required as for configure_file() targets
      Meson will infer whether an install is needed by the presence of the
      install_dir: arg.
      13948fda
    • Sam Thursfield's avatar
      Revert "functional-tests: Don't depend on GSettings schemas from the host" · ecac3a1e
      Sam Thursfield authored
      This reverts commit ad664049.
      
      I accidentally pushed this to master without review, when I pushed the
      trivial Meson change.
      
      The merge request is here:
      GNOME/tracker-miners!61
      ecac3a1e
    • Sam Thursfield's avatar
      build: Require Meson >= 0.50 · 60145ddd
      Sam Thursfield authored
      Meson helpfully warns us that this is needed:
      
          WARNING: Project specifies a minimum meson_version '>=0.47' but uses features which were added in newer versions:
           * 0.50.0: {'install arg in configure_file'}
      60145ddd
    • Sam Thursfield's avatar
      functional-tests: Don't depend on GSettings schemas from the host · ad664049
      Sam Thursfield authored
      If tracker-miners is configured with the `-Dtracker_core=subproject` option,
      it should use GSettings schemas from the ./subprojects/tracker build
      tree. We weren't doing that, which meant that if you ran `dnf remove
      tracker` on your test image and then ran the test, you would see
      failures like this in the functional-tests:
      
          (process:8450): GLib-GIO-ERROR **: 09:43:34.625: Settings schema 'org.freedesktop.Tracker.Store' is not installed
      
      This fix is part of GNOME/tracker#24
      ad664049
  8. 24 Apr, 2019 4 commits
  9. 01 Apr, 2019 2 commits
  10. 31 Mar, 2019 3 commits
  11. 27 Mar, 2019 2 commits
  12. 25 Mar, 2019 1 commit
  13. 19 Mar, 2019 3 commits
  14. 18 Mar, 2019 6 commits
  15. 07 Mar, 2019 1 commit